import { OnInit, OnDestroy, ElementRef, Renderer2, AfterContentInit, OnChanges, QueryList } from '@angular/core';
import { Router, RouterLink, RouterLinkWithHref } from '@angular/router';
import { NavItemService } from '../nav-item/nav-item.service';
import { NavService } from '../nav/nav.service';
export declare class NavInnerComponent implements OnDestroy, OnInit, OnChanges, AfterContentInit {
    private navItemService;
    tabIndex: string;
    private navService;
    private router;
    private element;
    private renderer;
    get isOpenNext(): boolean;
    get isHighLight(): boolean;
    isThumbnail: boolean;
    isOpen: boolean;
    links: QueryList<RouterLink>;
    linksWithHrefs: QueryList<RouterLinkWithHref>;
    routerLinkActiveOptions: {
        exact: boolean;
    };
    totalMenu: number;
    readonly isActive: boolean;
    private classes;
    private subs;
    private childLinkActive;
    constructor(navItemService: NavItemService, tabIndex: string, navService: NavService, router: Router, element: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    focus(): void;
    keyDown(ev: KeyboardEvent): void;
    click(): void;
    ngAfterContentInit(): void;
    ngOnChanges(): void;
    private update;
    private isLinkActive;
    private hasActiveLinks;
}
